[package]
#![recursion_limit = "256"]
name = "game"
version = "0.1.0"
edition = "2024"

[profile.release]
strip = true

[[bin]]
name = "game"
path = "src/main.rs"

[dependencies]
anyhow = "1.0"
winit = { version = "0.30", features = ["android-native-activity"] }
env_logger = "0.11.10"
log = "0.4"
wgpu = "29.0.3"
pollster = "0.4.0"
console_error_panic_hook = "0.1.7"
parse = { path = "./parse" }

[target.'cfg(target_arch = "wasm32")'.dependencies]
console_error_panic_hook = "0.1.6"
wgpu = { version = "29.0.3", features = ["webgl"]}
wasm-bindgen = "0.2.121"
wasm-bindgen-futures = "0.4.71"
console_log = "1.0.0"
web-sys = { version = "0.3", features = [
    "Document",
    "Window",
    "Element",
]}

[lib]
crate-type = ["cdylib", "rlib"]